Bug 1135564 (ktp-kf5) - ktp-presence-applet: plasma5 support (RFE)
Summary: ktp-presence-applet: plasma5 support (RFE)
Keywords:
Status: CLOSED ERRATA
Alias: ktp-kf5
Product: Fedora
Classification: Fedora
Component: ktp-common-internals
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Vrátil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: signon-ui kaccounts-providers signon-kwallet-extension
Blocks: plasma5 1208946
TreeView+ depends on / blocked
 
Reported: 2014-08-29 15:57 UTC by Rex Dieter
Modified: 2015-11-02 01:38 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-05 15:44:34 UTC


Attachments (Terms of Use)

Description Rex Dieter 2014-08-29 15:57:22 UTC
ktp-presence-applet currently only supports plasma4.

Comment 1 Martin Klapetek 2014-08-29 16:02:58 UTC
Fwiw, there is a frameworks branch of ktp-common-internals and ktp-desktop-applets, which is meant for Plasma5.

Unreleased, yet.

Comment 2 Rex Dieter 2014-08-29 16:05:50 UTC
Yay!  Such heros in our midst.

Comment 3 Daniel Vrátil 2014-09-01 15:02:36 UTC
I'm planning on setting up a COPR with unstable Plasma 5 stuff, incl. KTP, Konsole, Dolphin, etc. - probably after Akademy.

Comment 4 Kevin Kofler 2014-09-01 17:20:06 UTC
In the KTP case, considering that the KDE 4 version is not usable at all in a Plasma 5 environment (because the central piece is a plasmoid), the KF5 version will need to land in Rawhide along with Plasma 5, even if it's unstable.

Comment 5 Rex Dieter 2015-02-14 20:17:49 UTC
Assiging to Dan, he's got a kf5-ktp copr going... :)

You think they're good enough to import into rawhide yet?  Need any help?

Comment 6 Daniel Vrátil 2015-02-24 09:47:09 UTC
The KTp Copr packages are just random snapshots of master. I don't believe this is ready for rawhide yet, I've been using it at there are still some important parts missing (including accounts migration from Telepathy to KAccounts).

AFAIK KTp upstream is targeting Plasma 5.3 release, which means we should still be able to make it in time for F22.

Comment 7 Daniel Vrátil 2015-02-24 09:49:03 UTC
Correction: upstream is targeting KDE Applications 15.04, but that should still be OK with Fedora 22 schedule.

Comment 8 Martin Klapetek 2015-02-24 10:16:14 UTC
> including accounts migration from Telepathy to KAccounts

The account info actually stays in Telepathy, only the secrets storage and management get moved to KAccounts. Currently it should work in a way that once you upgrade to KAccounts, it should ask you for your passwords and if you store them, new KAccounts account should be automatically created. Except Google and Facebook accounts because for those you need to get OAuth token, so there's no migration possible really (unless you want to make it really complicated).

Otherwise the passwords are stored in kwallet4 and to fully auto-migrate, you'd need to either work with kwallet4 and sso-stuff-qt4 or ensure that complete kwallet4 has been migrated to kwallet5 and use the data from kwallet5.

Personally I think it's just so much hassle that it's much easier to just ask for the passwords once and create new KAccounts accounts.


Note You need to log in before you can comment on or make changes to this bug.